package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleOrderCarrier;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Map;

@Mapper
public interface AmsSaleOrderCarrierMapper extends IBaseMapper<AmsSaleOrderCarrier, BigDecimal> {
    //查询主键最大值
    @Select("select seq__SALE_ORDER_CARRIER.nextval from dual")
    BigDecimal selectMaxId();

    AmsSaleOrderCarrier getAmsSaleOrderCarrier(BigDecimal saleOrderId);
    // 通过收货客户名称匹配承运商
    BigDecimal findCarrierByConsignee(String receiveUnitName);
    // 得到物资编码
    String getMaterialName(String materialCode);
}