package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="到站/发站")
public class RmstrainArrivalSend implements IBasePO<BigDecimal> {
    /**
     * 主键ID(ARRIVAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal arrivalId;

    /**
     * 到站名称(ARRIVAL_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="到站名称",required=false)
    private String arrivalName;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 所属港口(OWNED_PORT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="所属港口",required=false)
    private BigDecimal ownedPortId;

    /**
     * 专用线(DAYPLAN_DEDICATED_LINE,VARCHAR,100)
     */
    @ApiModelProperty(value="专用线",required=false)
    private String dayplanDedicatedLine;

    /**
     * 移库单位(TRANSFER_UNIT,VARCHAR,100)
     */
    @ApiModelProperty(value="移库单位",required=false)
    private String transferUnit;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.arrivalId;
    }

    @Override
    public void setId(BigDecimal arrivalId) {
        this.arrivalId = arrivalId;
    }

    public BigDecimal getArrivalId() {
        return arrivalId;
    }

    public void setArrivalId(BigDecimal arrivalId) {
        this.arrivalId = arrivalId;
    }

    public String getArrivalName() {
        return arrivalName;
    }

    public void setArrivalName(String arrivalName) {
        this.arrivalName = arrivalName == null ? null : arrivalName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getOwnedPortId() {
        return ownedPortId;
    }

    public void setOwnedPortId(BigDecimal ownedPortId) {
        this.ownedPortId = ownedPortId;
    }

    public String getDayplanDedicatedLine() {
        return dayplanDedicatedLine;
    }

    public void setDayplanDedicatedLine(String dayplanDedicatedLine) {
        this.dayplanDedicatedLine = dayplanDedicatedLine == null ? null : dayplanDedicatedLine.trim();
    }

    public String getTransferUnit() {
        return transferUnit;
    }

    public void setTransferUnit(String transferUnit) {
        this.transferUnit = transferUnit == null ? null : transferUnit.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", arrivalId=").append(arrivalId);
        sb.append(", arrivalName=").append(arrivalName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", ownedPortId=").append(ownedPortId);
        sb.append(", dayplanDedicatedLine=").append(dayplanDedicatedLine);
        sb.append(", transferUnit=").append(transferUnit);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}